Debian Bug report logs - #500615
mmorph: Depends on libdb4.3 while it won't be included in the release

version graph

Package: mmorph; Maintainer for mmorph is Thomas Bushnell, BSG <tb@debian.org>; Source for mmorph is src:mmorph.

Reported by: Luk Claes <luk@debian.org>

Date: Mon, 29 Sep 2008 18:39:01 UTC

Severity: serious

Tags: patch

Found in version mmorph/2.3.4.2-11

Fixed in version 2.3.4.2-12

Done: Thomas Viehmann <tv@beamnet.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#500615; Package mmorph. (Mon, 29 Sep 2008 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Mon, 29 Sep 2008 18:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mmorph: Depends on libdb4.3 while it won't be included in the release
Date: Mon, 29 Sep 2008 20:36:50 +0200
Package: mmorph
Version: 2.3.4.2-11
Severity: serious

Hi

mmorph Build-Depends on libdb4.3-dev | libdb-dev (and the binary package Depends on libdb4.3) while it's not going to be in the release. The alternative build dependency won't work as the buildds won't use it. Please test if your package works with libdb4.6 and remove the libdb4.3-dev build dependency from the alternative if it does.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#500615; Package mmorph. (Fri, 03 Oct 2008 07:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Fri, 03 Oct 2008 07:21:02 GMT) Full text and rfc822 format available.

Message #10 received at 500615@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 500615@bugs.debian.org
Subject: mmorph: diff for NMU version 2.3.4.2-11.1
Date: Fri, 3 Oct 2008 07:56:37 +0200
[Message part 1 (text/plain, inline)]
tags 500615 + patch
thanks

Dear maintainer,

I've prepared an NMU for mmorph (versioned as 2.3.4.2-11.1) and uploaded it
to DELAYED/3. Please feel free to tell me if I should delay it longer.

Cheers

Luk
[mmorph-2.3.4.2-11.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Fri, 03 Oct 2008 07:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#500615; Package mmorph. (Fri, 03 Oct 2008 16:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Fri, 03 Oct 2008 16:51:02 GMT) Full text and rfc822 format available.

Message #17 received at 500615@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Luk Claes <luk@debian.org>, 500615@bugs.debian.org
Subject: Re: Bug#500615: mmorph: diff for NMU version 2.3.4.2-11.1
Date: Fri, 03 Oct 2008 09:48:08 -0700
On Fri, 2008-10-03 at 07:56 +0200, Luk Claes wrote:
> tags 500615 + patch
> thanks
> 
> Dear maintainer,
> 
> I've prepared an NMU for mmorph (versioned as 2.3.4.2-11.1) and uploaded it
> to DELAYED/3. Please feel free to tell me if I should delay it longer.

Yes, please remove it from the upload queue.

I'm assuming as well that you have done extensive testing.  Can you
point me to the tests you used to verify the functionality of the patch
you wish to upload?

Also, can you point me to a comprehensive statement of the interface
changes in the db library which may affect mmorph?  I'm sure you have
that right at hand because I'm sure you went through it carefully before
making an upload.

Finally, may I point out that it is not reasonable to file an RC bug and
then an NMU all at about the same time, at this point in the release?
The time for deciding to remove the package was back at the BEGINNING of
the release cycle, not now, at the end.  Can you explain why you chose
to wait until now to start making such changes?

Thomas






Information forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#500615; Package mmorph. (Fri, 03 Oct 2008 20:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Fri, 03 Oct 2008 20:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 500615@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>, 500615@bugs.debian.org
Cc: Luk Claes <luk@debian.org>
Subject: Re: Bug#500615: mmorph: diff for NMU version 2.3.4.2-11.1
Date: Fri, 3 Oct 2008 19:54:29 +0000
On Fri, Oct 03, 2008 at 09:48:08AM -0700, Thomas Bushnell BSG wrote:
> Also, can you point me to a comprehensive statement of the interface
> changes in the db library which may affect mmorph?  I'm sure you have
> that right at hand because I'm sure you went through it carefully before
> making an upload.

mmorph appears to use the db 1.85 compatibility layer, which should not
have undergone very many interface changes since the '90s.




Information forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#500615; Package mmorph. (Fri, 03 Oct 2008 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Fri, 03 Oct 2008 20:51:05 GMT) Full text and rfc822 format available.

Message #27 received at 500615@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>, 500615@bugs.debian.org
Subject: Re: Bug#500615: mmorph: diff for NMU version 2.3.4.2-11.1
Date: Fri, 03 Oct 2008 22:48:18 +0200
Thomas Bushnell BSG wrote:
> On Fri, 2008-10-03 at 07:56 +0200, Luk Claes wrote:
>> tags 500615 + patch
>> thanks
>>
>> Dear maintainer,
>>
>> I've prepared an NMU for mmorph (versioned as 2.3.4.2-11.1) and uploaded it
>> to DELAYED/3. Please feel free to tell me if I should delay it longer.
> 
> Yes, please remove it from the upload queue.

Removed.

> I'm assuming as well that you have done extensive testing.  Can you
> point me to the tests you used to verify the functionality of the patch
> you wish to upload?

You had marked yourself that it builds with all db versions...

> Also, can you point me to a comprehensive statement of the interface
> changes in the db library which may affect mmorph?  I'm sure you have
> that right at hand because I'm sure you went through it carefully before
> making an upload.

You yourself stated in the Build-Depends that whatever db version is
good enough...

> Finally, may I point out that it is not reasonable to file an RC bug and
> then an NMU all at about the same time, at this point in the release?

I didn't do that at all, I waited for a couple of days to give you time
to respond. You knew already that it was coming by the way as you
already commented on similar bugs...

> The time for deciding to remove the package was back at the BEGINNING of
> the release cycle, not now, at the end.  Can you explain why you chose
> to wait until now to start making such changes?

I didn't wait at all, I informed maintainers at the beginning of the
cycle, though if at the end of the cycle there are too much versions (5
in this case) of a library we can either remove the whole lot that
depends on them or make them build against a version we do intend to be
included in the release...

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#500615; Package mmorph. (Fri, 03 Oct 2008 21:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Bushnell BSG <tb@becket.net>:
Extra info received and forwarded to list. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Fri, 03 Oct 2008 21:12:02 GMT) Full text and rfc822 format available.

Message #32 received at 500615@bugs.debian.org (full text, mbox):

From: Thomas Bushnell BSG <tb@becket.net>
To: Luk Claes <luk@debian.org>, 500615@bugs.debian.org
Subject: Re: Bug#500615: mmorph: diff for NMU version 2.3.4.2-11.1
Date: Fri, 03 Oct 2008 14:09:18 -0700
On Fri, 2008-10-03 at 22:48 +0200, Luk Claes wrote:
> 
> I didn't wait at all, I informed maintainers at the beginning of the
> cycle, though if at the end of the cycle there are too much versions (5
> in this case) of a library we can either remove the whole lot that
> depends on them or make them build against a version we do intend to be
> included in the release...

Um, I don't think a report was filed against mmorph.  What form of
informing did you use?  (Emails to debian-devel are not adequate in my
opinion.)

Thomas






Information forwarded to debian-bugs-dist@lists.debian.org, tb@debian.org (Thomas Bushnell, BSG):
Bug#500615; Package mmorph. (Fri, 03 Oct 2008 21:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to tb@debian.org (Thomas Bushnell, BSG). (Fri, 03 Oct 2008 21:21:05 GMT) Full text and rfc822 format available.

Message #37 received at 500615@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Thomas Bushnell BSG <tb@becket.net>, 500615@bugs.debian.org
Subject: Re: Bug#500615: mmorph: diff for NMU version 2.3.4.2-11.1
Date: Fri, 03 Oct 2008 23:20:40 +0200
Thomas Bushnell BSG wrote:
> On Fri, 2008-10-03 at 22:48 +0200, Luk Claes wrote:
>> I didn't wait at all, I informed maintainers at the beginning of the

s/maintainers/& of multiple version library packages/

>> cycle, though if at the end of the cycle there are too much versions (5
>> in this case) of a library we can either remove the whole lot that
>> depends on them or make them build against a version we do intend to be
>> included in the release...

Cheers

Luk




Reply sent to Thomas Viehmann <tv@beamnet.de>:
You have taken responsibility. (Tue, 07 Oct 2008 07:39:13 GMT) Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. (Tue, 07 Oct 2008 07:39:14 GMT) Full text and rfc822 format available.

Message #42 received at 500615-done@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 500615-done@bugs.debian.org
Subject: fixed by 2.3.4.2-12
Date: Mon, 06 Oct 2008 23:23:23 +0200
Version: 2.3.4.2-12

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 05 Oct 2008 15:05:22 -0700
Source: mmorph
Binary: mmorph
Architecture: source i386
Version: 2.3.4.2-12
Distribution: unstable
Urgency: medium
Maintainer: Thomas Bushnell, BSG <tb@debian.org>
Changed-By: Thomas Bushnell, BSG <tb@debian.org>
Description: 
 mmorph     - A two-level morphology tool for natural language processing
Changes: 
 mmorph (2.3.4.2-12) unstable; urgency=medium
 .
   * debian/control (Build-Depends): Omit libdb3-dev option since libdb-dev
     is now a real package instead of a virtual package.  Closes: (#500615)
     Thanks to Luk Claes <luk@debian.org> for the bug report.
Checksums-Sha1: 
 ced61bcd8e2534c3d7bd50a61fe7bcaa332dea4d 978 mmorph_2.3.4.2-12.dsc
 29c0038886a53cdcb34990a7c212fe1b23f2af01 7344 mmorph_2.3.4.2-12.diff.gz
 964ee8e1cad47ce7659dae87f083f98b1517f25f 170410 mmorph_2.3.4.2-12_i386.deb
Checksums-Sha256: 
 3c057ea7c4ee8853b230a44f804b08c47b3af99c64331c0f832660615a46d704 978 mmorph_2.3.4.2-12.dsc
 a3a1c6198e21f92d23a0f557d7e44d427966a33b0ee3a9e1a475338008da1fcc 7344 mmorph_2.3.4.2-12.diff.gz
 14607ea2f0b006cfd82ea7827eb5415c37008b8798ce093dd2645cd6d5dd89aa 170410 mmorph_2.3.4.2-12_i386.deb
Files: 
 ba8d14f046c3be1a3a47ec21076a5c2c 978 misc extra mmorph_2.3.4.2-12.dsc
 f2f1749540fdf709055969434b7cc997 7344 misc extra mmorph_2.3.4.2-12.diff.gz
 aa74b8c756812d7a4ffe4c5364e14115 170410 misc extra mmorph_2.3.4.2-12_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjpPGsACgkQqMsB9b6fcOrn3wCgy/fz0YVPvUbLvLqhNCCgGXi4
fboAoLmBqCXB3Y3JrMIOnUCInwngCgBG
=A+YX
-----END PGP SIGNATURE-----


Accepted:
mmorph_2.3.4.2-12.diff.gz
  to pool/main/m/mmorph/mmorph_2.3.4.2-12.diff.gz
mmorph_2.3.4.2-12.dsc
  to pool/main/m/mmorph/mmorph_2.3.4.2-12.dsc
mmorph_2.3.4.2-12_i386.deb
  to pool/main/m/mmorph/mmorph_2.3.4.2-12_i386.deb





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 07:39:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:50:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.